%define initdir /etc/init.d
%define cgidir  /home/httpd/cgi-bin
%define _sbindir /usr/sbin
%define _sysconfdir /etc
%define _mandir /usr/share/man
%define _localstatedir /var/state

Summary: Network UPS Tools
Name: nut
Version: 1.2.2
Release: 1.2.1
Group: Applications/System
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source: http://www.exploits.org/nut/release/%{name}-%{version}.tar.gz
Source1: ups.init
Source2: ups.sysconfig

Requires: nut-client

Prereq: fileutils
Prereq: /sbin/chkconfig

BuildPrereq: gd-devel
BuildPrereq: libpng-devel

%description
These programs are part of a developing project to monitor the assortment
of UPSes that are found out there in the field. Many models have serial
ports of some kind that allow some form of state checking. This
capability has been harnessed where possible to allow for safe shutdowns,
live status tracking on web pages, and more.

%package client
Group: Applications/System
Summary: Network UPS Tools client monitoring utilities
Prereq: chkconfig

%description client
This package includes the client utilities that are required to monitor a
ups that the client host has access to, but where the UPS is physically
attached to a different computer on the network.

%prep
%setup -q

%build
%configure \
  --prefix=/usr \
  --sbindir=/usr/sbin \
  --with-user=nobody \
  --with-group=nobody \
  --sysconfdir=/etc/ups \
  --mandir=/usr/share/man \
  --with-pidpath=/var/run \
  --with-lock-dir=/var/lock/subsys

make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
make install DESTDIR=%{buildroot}

install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/ups

mkdir -p %{buildroot}%{_localstatedir}/ups

# install SYSV init stuff
mkdir -p %{buildroot}%{initdir}
install -m 755 %{SOURCE1} %{buildroot}%{initdir}/ups

# rename
for file in %{buildroot}%{_sysconfdir}/ups/*.sample
do
   mv $file %{buildroot}%{_sysconfdir}/ups/`basename $file .sample`
done

%post client
/sbin/chkconfig --add ups
echo "Be sure to edit the config files located in /etc/ups/"

%preun client
if [ "$1" = "0" ]; then
    /etc/init.d ups stop > /dev/null 2>&1
    /sbin/chkconfig --del ups
fi

%postun client
if [ "$1" -ge "1" ]; then
    /etc/init.d/ups condrestart > /dev/null 2>&1
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CREDITS CHANGES README docs
%config(noreplace) %attr(644,root,admin) %{_sysconfdir}/ups
%{_sbindir}/*
%{_bindir}/upslog
%attr(644,root,man) %{_mandir}/man8/*

%files client
%defattr(-,root,root)
%attr(700,root,root) %{initdir}/ups
#%config(noreplace) %{_sysconfdir}/ups/hosts.conf
%config(noreplace) %attr(600,root,admin) %{_sysconfdir}/ups/ups.conf
%config(noreplace) %attr(600,root,admin) %{_sysconfdir}/ups/upsd.conf
%config(noreplace) %attr(600,root,admin) %{_sysconfdir}/ups/upsd.users
%config(noreplace) %attr(600,root,admin) %{_sysconfdir}/ups/upsmon.conf
#%config(noreplace) %attr(600,root,admin) %{_sysconfdir}/ups/upsset.conf
%dir %attr(760,nobody,nobody) %{_localstatedir}/ups
%{_bindir}/upsc
%{_bindir}/upscmd
%{_bindir}/upsrw
%{_sbindir}/upsmon
%{_sbindir}/upssched
#%{_sbindir}/upssched-cmd
%attr(644,root,man) %{_mandir}/man5/*

%changelog
* Thu Apr 23 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 1.2.2 Release 1.2.1 for EnGarde

* Fri Jan 17 2003 Eric B. Lubow <eric@guardiandigital.com>
- Version 1.2.1 Release 1.0.1 for EnGarde
- EnGarde Initial buildup of nut

